Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dao
Interface ScopeDAO

All Known Implementing Classes:
  ScopeDAOImpl

    public interface ScopeDAO

Data access objec representing a BPEL scope instance. Objects of this class manage a collection of correlation sets and XML data variables.

Method Summary
`PartnerLinkDAO` | `createPartnerLink(int plinkModelId, java.lang.String pLinkName, java.lang.String myRole, java.lang.String partnerRole)` Create a storage space for partner link values for the scope.
`java.util.Collection<ScopeDAO>` | `getChildScopes()`
`CorrelationSetDAO` | `getCorrelationSet(java.lang.String corrSetName)` Get a correlation set by name.
`java.util.Collection<CorrelationSetDAO>` | `getCorrelationSets()` Gets all correlation sets for this scope
`int` | `getModelId()` Get the scope model id from the object
`java.lang.String` | `getName()` Get scope name (from the definition / or auto-generated).
`ScopeDAO` | `getParentScope()` Get the parent scope.
`PartnerLinkDAO` | `getPartnerLink(int plinkModelId)` Get the parnter link storage object associated with this scope instance and the provided partner link model id.
`java.util.Collection<PartnerLinkDAO>` | `getPartnerLinks()` Get all partner link storage object associated with this scope instance.
`ProcessInstanceDAO` | `getProcessInstance()` Get the process instance to which this scope belongs.
`java.lang.Long` | `getScopeInstanceId()` Get the unique identifier for this scope instance.
`ScopeStateEnum` | `getState()` Get current state of the scope.
`XmlDataDAO` | `getVariable(java.lang.String varName)` Get a variable by name.
`java.util.Collection<XmlDataDAO>` | `getVariables()` Get a colleciton of all the variables belonging to this scope.
`java.util.List<BpelEvent>` | `listEvents()` Get an ordered list of events associated with this scope.
`void` | `setState(ScopeStateEnum state)` Set current state of the scope.

Method Detail

### getScopeInstanceId

    java.lang.Long getScopeInstanceId()

  Get the unique identifier for this scope instance.

  Returns:
    scope instance id

### getModelId

    int getModelId()

  Get the scope model id from the object

  Returns:
    scope model id

### getName

    java.lang.String getName()

  Get scope name (from the definition / or auto-generated). NOTE: the scope names are not necessarily unique.

  Returns:
    scope name

### getCorrelationSet

    CorrelationSetDAO getCorrelationSet(java.lang.String corrSetName)

  Get a correlation set by name.

  Parameters:
    `corrSetName` - correlation set name
  Returns:
    correlation set instance

### getCorrelationSets

    java.util.Collection<CorrelationSetDAO> getCorrelationSets()

  Gets all correlation sets for this scope

  Returns:
    correlation set instances

### getParentScope

    ScopeDAO getParentScope()

  Get the parent scope.

  Returns:
    parent scope

### getChildScopes

    java.util.Collection<ScopeDAO> getChildScopes()

### getProcessInstance

    ProcessInstanceDAO getProcessInstance()

  Get the process instance to which this scope belongs.

  Returns:
    owner `ProcessInstanceDAO`

### setState

    void setState(ScopeStateEnum state)

  Set current state of the scope.

  Parameters:
    `state` - new scope state

### getState

    ScopeStateEnum getState()

  Get current state of the scope.

  Returns:
    current scope state

### getVariable

    XmlDataDAO getVariable(java.lang.String varName)

  Get a variable by name.

  Parameters:
    `varName` - variable name
  Returns:
    `XmlDataDAO` object representing the requested variable

### getVariables

    java.util.Collection<XmlDataDAO> getVariables()

  Get a colleciton of all the variables belonging to this scope.

  Returns:
    collection of variables

### listEvents

    java.util.List<BpelEvent> listEvents()

  Get an ordered list of events associated with this scope.

  Returns:
    collection of bpel events.

### createPartnerLink

    PartnerLinkDAO createPartnerLink(int plinkModelId,
                                     java.lang.String pLinkName,
                                     java.lang.String myRole,
                                     java.lang.String partnerRole)

  Create a storage space for partner link values for the scope.

  Parameters:
    `plinkModelId` - partner link model id
    `pLinkName` - partner link name
  Returns:
    `PartnerLinkDAO` object representing the created endpoint reference

### getPartnerLink

    PartnerLinkDAO getPartnerLink(int plinkModelId)

  Get the parnter link storage object associated with this scope instance and the provided partner link model id.

  Parameters:
    `plinkModelId` - partner link model id
  Returns:
    `PartnerLinkDAO` object representing the requested endpoint reference

### getPartnerLinks

    java.util.Collection<PartnerLinkDAO> getPartnerLinks()

  Get all partner link storage object associated with this scope instance.

  Returns:
    List of `PartnerLinkDAO` objects

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD